APIUser connections

List user connections

List the user's connectable MCPs with the current user's connection status.

GET
/user/connections

List the user's connectable MCPs with the current user's connection status.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

manage_connections

Response Body

The request has succeeded.

application/json
  1. response
items*array<>
curl -X GET "https://example.com/user/connections"
{  "items": [    {      "mcp_id": null,      "display_name": "string",      "slug": "string",      "connection": {        "id": null,        "mcp_id": null,        "status": "active",        "granted_scopes": [          "string"        ],        "created_at": "2019-08-24T14:15:22Z",        "last_used_at": "2019-08-24T14:15:22Z",        "last_refreshed_at": "2019-08-24T14:15:22Z"      }    }  ]}